import request from "@/utils/request.js";

export function getCate(data) {
	return request({
		url: '/api/Xinqiu/pdd_cat',
		method: 'get',
		data
	});
}

export function getGoodList(data) {
	return request({
		url: '/api/Xinqiu/pdd_goods_list',
		method: 'get',
		data
	});
}
//Xinqiu/pdd_goodsdetail
export function getGoodDetail(data) {
	return request({
		url: '/api/Xinqiu/pdd_goodsdetail',
		method: 'get',
		data
	});
}

//
export function getUrl(data) {
	return request({
		url: '/api/Xinqiu/pdd_getunionurl',
		method: 'get',
		data
	});
}

export function getCzList(data) {
	//Xinqiu/goods
	return request({
		url: '/api/Xinqiu/goods',
		method: 'get',
		data
	});
}

export function createCz(data) {
	return request({
		url: '/api/Xinqiu/create_order',
		method: 'post',
		data
	});
}

export function getLifeOrder(data) {
	return request({
		url: '/api/Xinqiu/lst',
		method: 'get',
		data
	});
}